Bug 166679 - [RHEL4] gnome-terminal incorrectly propagates tab changing key presses to vte if it tab could not be changed
[RHEL4] gnome-terminal incorrectly propagates tab changing key presses to vte...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-terminal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
RHEL4U3NAK
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-24 11:50 EDT by Bastien Nocera
Modified: 2010-06-07 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 01:47:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-terminal-dont-send-prev-next-keys-to-terminal-2.patch (3.56 KB, patch)
2005-09-07 11:42 EDT, Bastien Nocera
no flags Details | Diff
gnome-terminal-dont-send-prev-next-keys-to-terminal-3.patch (532 bytes, patch)
2006-09-25 09:26 EDT, Bastien Nocera
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 138609 None None None Never

  None (edit)
Description Bastien Nocera 2005-08-24 11:50:19 EDT
Description of problem:
See upstream bug: http://bugzilla.gnome.org/show_bug.cgi?id=138609
When reaching the last or first tab in a gnome-terminal using Ctrl+PageUp/Down,
~5 gets printed on the terminal.

I am of the opinion that those keypresses should only be passed to the terminal
if there's no other tabs. If the key combination is needed for a particular
application, either no tabs should be used, or the keyboard shortcut should be
changed in the Edit->Keyboard shortcuts dialogue.

Version-Release number of selected component (if applicable):
gnome-terminal-2.7.3-1
Comment 1 Ray Strode [halfline] 2005-08-24 12:10:52 EDT
Hi Bastien,

I agree.  Conditionally sending the key presses to vte depending on what tab the
user is on seems pretty broken.  If there are tabs then gnome-terminal should
just swallow the key presses even if it doesn't use them.

You want to work on fixing this? 
Comment 2 Bastien Nocera 2005-08-26 10:52:41 EDT
Patch pushed to the upstream bug.

Ray, could you comment on this patch?
Comment 3 Bastien Nocera 2005-09-07 11:42:12 EDT
Created attachment 118565 [details]
gnome-terminal-dont-send-prev-next-keys-to-terminal-2.patch

The patch committed upstream.
Comment 18 RHEL Product and Program Management 2006-08-31 19:16:03 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 21 Bastien Nocera 2006-09-25 09:26:49 EDT
Created attachment 137050 [details]
gnome-terminal-dont-send-prev-next-keys-to-terminal-3.patch

To apply on top of attachment 118565 [details]

Note You need to log in before you can comment on or make changes to this bug.